package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.time.Year;
import java.util.ArrayList;
import java.util.List;

/**
 * POJO for BookDB.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class Book {

    private long id;
    @NonNull private long isbn;
    @NonNull private List<Author> authors;
    @NonNull private Publisher publisher;
    @NonNull private Category category;
    @NonNull private String title;
    @NonNull private Year year;

    /**
     * saved in cents.
     */
    @NonNull private int price;
    @NonNull private String description;
    @NonNull private String image;

    public String getPriceString() {
        String res = "";
        res += getPrice() / 100;
        res += ",";
        if (getPrice() % 100 < 10) {
            res += "0";
        }
        res += getPrice() % 100;
        return res;
    }

    public String getAuthorsString(){
        List<String> names = new ArrayList<>();
        for (Author author : getAuthors()){
            names.add(author.getName());
        }
        return String.join(",", names);
    }

}