package de.hsel.itech.db.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NonNull;

import java.sql.Date;

/**
 * POJO for CreditCard Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@EqualsAndHashCode(callSuper = true)
public class CreditCardPayment extends Payment{

    @NonNull private int number;
    @NonNull private String owner;
    @NonNull private Date expiration;
    @NonNull private int checksum;

    public CreditCardPayment(User user, int number, String owner, Date expiration, int checksum) {
        super(0, new PaymentType(1, "CreditCard"), user);
        this.number = number;
        this.owner = owner;
        this.expiration = expiration;
        this.checksum = checksum;
    }

    public CreditCardPayment(long id, User user, int number, String owner, Date expiration, int checksum) {
        super(id, new PaymentType(1, "CreditCard"), user);
        this.number = number;
        this.owner = owner;
        this.expiration = expiration;
        this.checksum = checksum;
    }
}