package de.hsel.itech.db.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NonNull;

/**
 * POJO for DebitCard Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@EqualsAndHashCode(callSuper = true)
public class DebitCardPayment extends Payment{

    @NonNull private String iban;
    @NonNull private String bic;
    @NonNull private String owner;

    public DebitCardPayment(long id, User user, String iban, String bic, String owner) {
        super(id, new PaymentType(2, "DebitCard"), user);
        this.iban = iban;
        this.bic = bic;
        this.owner = owner;
    }

}