package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.sql.Date;
import java.util.List;


/**
 * POJO for Orders.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class Order {

    private long id;
    @NonNull private User user;
    @NonNull private List<OrderItem> items;
    @NonNull private Date date;
    /**
     * price in cents.
     */
    @NonNull private long price;
    @NonNull private Payment payment;
    @NonNull private Address address;

    public String getFormattedPrice() {
        String res = "";
        res += price / 100;
        res += ",";
        if (price % 100 < 10) {
            res += "0";
        }
        res += price % 100;
        return res;
    }
}