package de.hsel.itech.db.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NonNull;

/**
 * POJO for PayPal Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@EqualsAndHashCode(callSuper = true)
public class PayPalPayment extends Payment{

    @NonNull private String email;
    @NonNull private String authCode;

    public PayPalPayment(User user, String email, String authCode) {
        super(0, new PaymentType(4, "PayPal"), user);
        this.email = email;
        this.authCode = authCode;
    }

    public PayPalPayment(long id, User user, String email, String authCode) {
        super(id, new PaymentType(4, "PayPal"), user);
        this.email = email;
        this.authCode = authCode;
    }
}