package de.hsel.itech.jsf;

import de.hsel.itech.db.pojo.Author;
import de.hsel.itech.db.pojo.Book;
import lombok.Getter;
import lombok.Setter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@ViewScoped
public class BookBean {

    @Getter
    @Setter
    @ManagedProperty("#{categoryBean.book}")
    private Book book;

    public String select() {
        return "/bookinfo.xhtml";
    }

    public String back() {
        return "/category.xhtml";
    }

    public String getPrice() {
        String res = "";
        res += book.getPrice() / 100;
        res += ",";
        if (book.getPrice() % 100 < 10) {
            res += "0";
        }
        res += book.getPrice() % 100;
        return res;
    }

    public String getAuthors() {
        List<String> authors = new ArrayList<>();
        for (Author author : book.getAuthors()) {
            authors.add(author.getName());
        }
        return String.join(", ", authors);
    }
}
