package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.Book;
import de.hsel.itech.db.pojo.Category;
import lombok.Getter;
import lombok.Setter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@SessionScoped
public class CategoryBean implements Serializable {

    @Getter
    @Setter
    private Category category;

    @Getter
    @Setter
    private Book book;

    public String select() {
        return "";
    }

    public String back() {
        category = null;
        return "";
    }

    public List<Category> getCategories() {
        return Database.getInstance().category().getAll();
    }

    public List<Book> getBooks() {
        return Database.getInstance().book().getAll(category);
    }

    public List<Book> getPresentedBooks() {
        List<Book> books = Database.getInstance().book().getAll();
        if(books == null){
            return new ArrayList<>();
        }else{
            return books.subList( Math.max(0,books.size() - 3), books.size());
        }
    }
}