package de.hsel.itech.jsf;


import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.CreditCardPayment;
import de.hsel.itech.db.pojo.User;
import lombok.Getter;
import lombok.Setter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.validation.constraints.Future;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Johannes Theiner
 * @version 0.1
 */

@ManagedBean
@RequestScoped
public class CreditCardBean implements Serializable {

    public User getUser() {
        FacesContext context = FacesContext.getCurrentInstance();
        return (User) context.getApplication().evaluateExpressionGet(context,"#{userBean.user}", User.class);
    }

    @Getter
    @Setter
    private String owner;

    @Getter
    @Setter
    private int number;

    @Getter
    @Setter
    @Future
    private Date expiration;

    @Getter
    @Setter
    private int checksum;

    public String add() {
        java.sql.Date date = new java.sql.Date(expiration.getTime());
        CreditCardPayment payment = new CreditCardPayment(getUser(), number, owner, date, checksum);

        Database.getInstance().payment().insert(payment);

        return "payments.jsf";
    }
}