package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.*;
import lombok.Getter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@SessionScoped
public class PaymentBean {

    public User getUser() {
        FacesContext context = FacesContext.getCurrentInstance();
        return (User) context.getApplication().evaluateExpressionGet(context,"#{userBean.user}", User.class);
    }

    @Getter
    private Payment selected;

    public String select(Payment payment) {
        selected = payment;

        return "confirmation.jsf";
    }

    public List<CreditCardPayment> getCreditCard() {
        List<CreditCardPayment> list = new ArrayList<>();
        for(Payment payment : Database.getInstance().payment().getAll(getUser())) {
            if(payment instanceof CreditCardPayment)
                list.add((CreditCardPayment) payment);
        }
        return list;
    }

    public List<DebitCardPayment> getDebitCard() {
        List<DebitCardPayment> list = new ArrayList<>();
        for(Payment payment : Database.getInstance().payment().getAll(getUser())) {
            if(payment instanceof DebitCardPayment)
                list.add((DebitCardPayment) payment);
        }
        return list;
    }

    public List<PayPalPayment> getPayPal() {
        List<PayPalPayment> list = new ArrayList<>();
        for (Payment payment : Database.getInstance().payment().getAll(getUser())) {
            if(payment instanceof PayPalPayment)
                list.add((PayPalPayment) payment);
        }
        return list;
    }

    public List<InvoicePayment> getInvoice() {
        List<InvoicePayment> list = new ArrayList<>();
        for(Payment payment : Database.getInstance().payment().getAll(getUser())) {
            if(payment instanceof InvoicePayment)
                list.add((InvoicePayment) payment);
        }
        return list;
    }
}