package de.hsel.itech.servlet;

import org.jetbrains.annotations.NotNull;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Objects;

/**
 * @author Julian Hinxlage
 * @version 0.1
 * @since 0.1
 */
public class Utillity {

    public static void insertFile(@NotNull PrintWriter out, @NotNull String fileName) {
        try (BufferedReader br = new BufferedReader(new FileReader(Objects.requireNonNull(Utillity.class.getClassLoader().getResource(fileName)).getFile()))) {
            for (String line = br.readLine(); line != null; line = br.readLine()) {
                out.println(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void addInput(@NotNull PrintWriter out, @NotNull String label, @NotNull String name) {
        addInput(out, label, name, "");
    }

    public static void addInput(@NotNull PrintWriter out, @NotNull String label, @NotNull String name, @NotNull String value) {
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-2 m-push-l-5\">");
        out.println(label);
        out.println("<input type=\"text\" name=\"" + name + "\" value=\"" + value + "\">");
        out.println("</div>");
        out.println("</div>");
    }

    public static void addValidationInput(@NotNull PrintWriter out, @NotNull String label, @NotNull String name, @NotNull String type, @NotNull String value, @NotNull String pattern) {
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-2 m-push-l-5\">");
        out.println(label);
        out.println("<input type=\"" + type + "\" name=\"" + name + "\" value=\"" + value + "\"required pattern=\"" + pattern + "\">");
        out.println("</div>");
        out.println("</div>");
    }

    public static void addButton(@NotNull PrintWriter out, @NotNull String label, @NotNull String url) {
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-4 m-push-l-4\">");
        out.println("   <div class=\"m-button m-success\">");
        out.println("<a href=\"" + url + "\">");
        out.println(label);
        out.println("</a>");
        out.println(" </div>");
        out.println("</div>");
        out.println("</div>");
    }

    public static void addSubmitButton(@NotNull PrintWriter out, @NotNull String label) {
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-4 m-push-l-5\">");
        out.println("  <input type=\"" + "submit" + "\" value=\"" + label + "\">");
        out.println(" </div>");
        out.println("</div>");
    }
}
