<%@ page import="de.hsel.itech.db.Database" %>
<%@ page import="de.hsel.itech.db.pojo.Book" %>
<%@ page import="de.hsel.itech.db.pojo.Category" %>
<%@ page import="java.util.Objects" %>
<%@ page import="java.nio.charset.StandardCharsets" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@include file="header.html" %>
<%
    request.setCharacterEncoding(StandardCharsets.UTF_8.name());
    response.setCharacterEncoding(StandardCharsets.UTF_8.name());
    String idValue = request.getParameter("id");
    Category category;

    if (idValue == null) {
%>
<div class="m-container">
    <aside class="m-note m-error">
        <h1 class="m-text-center">Die Kategorie ist leer.</h1>
    </aside>
</div>
<%
} else {
    long id = Long.valueOf(idValue);
    Database db = Database.getInstance();
    category = db.category().get(id);
    if (category != null) {
%>
<div class="m-container">
    <h1 class="m-text-center"><%= category.getName() %>
    </h1>
    <div class="m-row">
        <%
            for (Book book : db.book().getAll(category)) {
        %>
        <div class="m-col-t-4">
            <figure class="m-figure">
                <img src="https://source.unsplash.com/<%= book.getImage()%>/900x900" alt="<%=book.getTitle()%>">
                <figcaption class="m-text-center"><%=book.getTitle()%>
                </figcaption>
            </figure>
        </div>
        <%
            }
        %>
    </div>
</div>
<%
} else {
%>
<div class="m-container">
    <aside class="m-note m-error">
        <h1 class="m-text-center">Kategorie existiert nicht.</h1>
    </aside>
</div>
<%
        }
    }
%>


<%@include file="footer.html" %>
